<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bBD.m05bAmortizaciones,m05bClasses.*" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>

<HTML>

<%
String matricula=request.getParameter("Matricula");
      if (matricula==null || matricula.equals("NULL")){
          matricula="";}%>	
<%String codigo="";
		codigo = request.getParameter("Codigo");
		if ( (codigo==null) || (codigo.equals("")) ) {
			codigo= "";}
%>


<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> <%
	} 
%>
<%@ include file="/m05bIdioma.inc"%>
	
<head>
  <title><%= resTit.getString("titVehAmortizacion")%></title>
  <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
  <link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">  
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/formateador.js"></script>
	
		<script language="JavaScript">
		     function fncGrabar(codigo,accion) {
		     	 if (accion!= '<%=m05bConstantes.ACC_ELIMINAR%>'){
		     	     if (document.formAmortizaciones.Fecha.value==""){
		     	 	   alert(dameAlerta(idioma, 33));
		     	   }else if(document.formAmortizaciones.Importe.value==""){
		     	 	   alert(dameAlerta(idioma, 80));
		     	   }else if(document.formAmortizaciones.Acumulado.value==""){
		     	 	   alert(dameAlerta(idioma, 205));
		     	   }else if(document.formAmortizaciones.Rango.value==""){
		     	 	   alert(dameAlerta(idioma, 96));
		     	   }else{
                     formatearFecha(parent.document.formAmortizaciones.Fecha);
		             document.formAmortizaciones.action="m05bGrabarAmortizacionesServlet?Codigo="+codigo+"&Accion=" + accion+"&Habilitar="+parent.document.formVehiculos.Habilitar.value ;
		             document.formAmortizaciones.submit();}
		         }
		     	  else{
                   formatearFecha(parent.document.formAmortizaciones.Fecha);
		           document.formAmortizaciones.action="m05bGrabarAmortizacionesServlet?Codigo="+codigo+"&Accion=" + accion+"&Habilitar="+parent.document.formVehiculos.Habilitar.value ;
		           document.formAmortizaciones.submit();}
		         
		}
		</SCRIPT>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/formateador.js"></script>
</head>
<BODY  style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
<div id='p01popUpWindowCalendar' style='position:relative; top:15px left:150px'></div>
<script>
	 var urlIdioma;
	 urlIdioma = "<%=m05bConstantesPaginas.VEH_DET_GESTION_AMORTIZACION%>?Matricula=<%=matricula%>&Codigo=<%=codigo%>";
	 var urlCambioVentana;
	 urlCambioVentana = "<%=m05bConstantesPaginas.VEH_DET_GESTION_AMORTIZACION%>";			 
</script>			

<%@include file="m05bVehiEconomicoFijo.inc"%>			
<FORM NAME="formAmortizaciones" METHOD="POST">
		<%
		//String sql = "";
		String mensaje;
		String accion;
		m05bAmortizaciones amortiza = null;
		StringBuffer sql = new StringBuffer();
		sql.append("SELECT ").append(m05bConstantes.COL_39_CODIGO);
		sql.append(" FROM ").append(m05bConstantes.TAB_AMORTIZACION);
		sql.append(" ORDER BY ").append(m05bConstantes.COL_39_CODIGO).append(" DESC");

		if ( (codigo==null) || (codigo.equals("")) ) {
			codigo= "";
			accion=m05bConstantes.ACC_INSERTAR;
			session.removeAttribute("m05bAmortizaciones");
		    try {

		           //m05bbBeginSelect(sql2.toString());
                   conexion = miConexion.getConnection();
                   conexion.setAutoCommit(false);  
		           
       	  	      pstmt2 = conexion.prepareStatement(sql.toString());
		          rs2 = pstmt2.executeQuery();		           		           
		           int cod=0;
		           if  (rs2.next() == true){
		            codigo=rs2.getString(m05bConstantes.COL_39_CODIGO);
		           }
		           cod=Integer.parseInt(codigo);
		           cod++;
		           codigo=Integer.toString(cod);
		    } catch (Exception SQLException){
		    	m05bClasses.m05bFileLog miLog = new m05bClasses.m05bFileLog();
		        miLog.addTraza(SQLException);
		    } finally {
		       // m05bEndSelect();
				if (rs2 != null)
					rs2.close();
				if (pstmt2 != null)
					pstmt2.close();
				if (conexion != null)
					conexion.close();		       
			}
		}
		else   {
			accion=m05bConstantes.ACC_ACTUALIZAR;
			amortiza = (m05bAmortizaciones)session.getAttribute("m05bAmortizaciones");
		}
		 if (amortiza == null){

			amortiza = new m05bAmortizaciones();
			session.setAttribute("m05bAmortizaciones",amortiza);
		}

		matricula=request.getParameter("Matricula");
		m05bCombo miCombo = new m05bCombo();
		String sFecha =amortiza.getAmo_fecha();
		if (sFecha==null || sFecha.equals(""))
		    sFecha="";
		else
		sFecha=comun.Mes(sFecha,campoTexto3);
		String sImporte=amortiza.getAmo_importe();
        //if (sImporte==null|| sImporte.equals("NULL")|| sImporte.equals("0")){
		//        	  sImporte="";}		
		String sAcumulado=amortiza.getAmo_amortiz();
        //if (sAcumulado==null|| sAcumulado.equals("NULL")|| sAcumulado.equals("0")){
		//        	  sAcumulado="";}			
		%>
		<table class="general">
			 <tr nowrap>
			  	<td  height="20" width="55%" class="searchTitleCM">
			  	    <a href="<%=m05bConstantesPaginas.VEH_GESTION_ECONOMICA%>?Matricula=<%=matricula%>" class="CM" ><%=resCM.getString("cmMtoEconomica")%></a>\
			  		<a href="<%=m05bConstantesPaginas.VEH_GESTION_AMORTIZACION%>?Matricula=<%=matricula%>" class="CM" ><%=resCM.getString("cmRelAmortizaciones")%></a>\<font class="CMV" ><%=resCM.getString("cmMtoAmortizacion")%></FONT>
			    </td>
			 </tr>
		</table>		

     <% if ((!(situacion.equals("B"))) &&  (sExisteMatricula.equals("1"))) {%>
		  <TABLE class="buscar">
		    <tr>
		       <td  align="right"> 
		     <% if	(accion==m05bConstantes.ACC_ACTUALIZAR){%>
		        <!--INPUT TYPE="IMAGE" style="cursor:hand" VALUE="Eliminar" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=m05bConstantes.ACC_ELIMINAR%>');return false;" onMouseOver="top.status='Eliminar'; return false" onMouseOut="top.status=''; return false" src="/parquemovil/images/eliminar.gif"/-->
		        <input type="button" class="boton" name="<%= res.getString("etBOT_ELIMINAR")%>" value="<%= res.getString("etBOT_ELIMINAR")%>" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=m05bConstantes.ACC_ELIMINAR%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSELIMINAR")%>'; return false" onMouseOut="top.status=''; return false" />				      
		     <%}%>
		      <!--INPUT TYPE="IMAGE" style="cursor:hand" VALUE="Grabar" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=accion%>');return false;" onMouseOver="top.status='Grabar'; return false" onMouseOut="top.status=''; return false" src="/parquemovil/images/grabar.gif"/--> 
              <input type="button" class="boton" name="<%= res.getString("etBOT_GRABAR")%>" value="<%= res.getString("etBOT_GRABAR")%>" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=accion%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSGRABAR")%>'; return false" onMouseOut="top.status=''; return false" />				      		      
		      
		      </td>
		</tr>
		  </TABLE>
     <%}%>		
		  <TABLE class="buscar" >
		    <tr>
		      <td width="5%" valign="top" align="left" class="inputFieldTitle"><%= res.getString("etCodigo")%></td>
		      <td  colspan="2" valign="top" align="left" class="inputFieldTitle"><%= res.getString("etFecha")%></td>
		    </tr>
		    <tr>
		      <td align="left"><INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Codigo" VALUE="<%=codigo%>" disabled size="10" maxlength="10" /> </td>
		      <td align="left" width="10%"><INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Fecha" VALUE="<%=sFecha%>" size="10" maxlength="10" onblur="javascript:formatearFecha(this);return false;">&nbsp;&nbsp;</td>
		      <td align="left" width="5%"><a href='#' name='anchorFecha'  onClick='JavaScript:showCalendar("anchorFecha",idioma,document.all("Fecha"),true,25,10,2002);false;return false;' onMouseOver="top.status='Ver Calendario'; return true" onMouseOut="top.status=''; return true" ><img border='0' src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/p01calendario.gif' name="calendario1"/></td>
		    </tr>
		    <tr>
		      <td width="20%" valign="top" align="left" class="inputFieldTitle"><%= res.getString("etImporte")%></td>
		      <td colspan="2" valign="top" align="left" class="inputFieldTitle"><%= res.getString("etAcumulado")%></td>
		      <td valign="top" align="left" class="inputFieldTitle"><%= res.getString("etRango")%></td>
		    </tr>
		    <tr>
		      <td align="left"> <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Importe" VALUE="<%=sImporte%>" size="15" maxlength="10" onblur="javascript: formatNumeroDecimal(this,6,2);return false;"/> </td>
		      <td align="left" colspan="2"> <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Acumulado" VALUE="<%=sAcumulado%>" size="15" maxlength="10" onblur="javascript: formatNumeroDecimal(this,6,2);return false;"/> </td>
			  <td align="left" >
					<select class=inputFieldOblig  NAME="Rango" onchange="JavaScript:blur();" onblur="javascript:borrar_buffer();document.formAmortizaciones.Rango.focus=false;" onKeypress="if ((event.keyCode == 13)|| (event.keyCode == 21)){ blur();} else {buscar_op(this,this);}" onclick="borrar_buffer()">
							<option value=""> </option>
							<%=miCombo.popCombo( m05bConstantes.COL_99_CODDESC, "NVL("+ campoTexto+m05bConstantes.COL_99_DESCRIPCION+","+m05bConstantes.COL_99_DESCRIPCION+")", m05bConstantes.TAB_DESCRIPCIONES, m05bConstantes.COL_99_CODTABLA, m05bConstantes.DESC_RANGOS, amortiza.getAmo_rango() )%>
					</select>
			  </td>
		    </tr>
		  </TABLE>
		<input type="hidden" name="Matricula" value="<%=matricula%>">
<script>
    formatNumeroDecimal(document.formAmortizaciones.Importe,6,2);
    formatNumeroDecimal(document.formAmortizaciones.Acumulado,6,2);		
    formatearFecha(parent.document.formAmortizaciones.Fecha);
</script>				
    <% if (situacion.equals("B")) {%>
    			<SCRIPT>
                      document.formAmortizaciones.Codigo.readOnly=true;
                      document.formAmortizaciones.Rango.disabled=true;
                      document.formAmortizaciones.Fecha.readOnly=true;
                      document.formAmortizaciones.Importe.readOnly=true;
                      document.formAmortizaciones.Acumulado.readOnly=true;
                      document.all["calendario1"].src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/pixel.gif';   
                      
                </SCRIPT>
     <%}%>
</FORM>
</td>
					</tr>
<tr>
	<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%></td>
</tr>
</table>
<SCRIPT language='javascript'>
    setTimeout('initSlide();', 1);
</SCRIPT>
<SCRIPT>
   var tabEconomica=document.getElementById("tabEconomica");
   
   tabEconomica.style.backgroundColor="#000078"	;
</SCRIPT>
</BODY>
</HTML>